<?php

class onLanguagesContentBeforeCategory extends cmsAction {

    public function run($data){

        list($ctype, $item) = $data;

		$user_lang = cmsCore::getLanguageName();
		
		if ($user_lang !== $this->cms_config->language) {
			
			$this->model->filterEqual('item_id', $ctype['id'])->filterEqual('lang', $user_lang);			
			$translate = $this->model->getItem('languages_ctypes', function($field, $model){
				
				$field['labels'] = cmsModel::yamlToArray($field['labels']);
				return $field;
			});

			if ($translate){

				unset($translate['id']);
				if (!empty($translate['seo_title'])){ $this->cms_template->setPageTitle($translate['seo_title']); }
				if (!empty($translate['seo_keys'])){ $this->cms_template->setPageKeywords($translate['seo_keys']); }
				if (!empty($translate['seo_desc'])){ $this->cms_template->setPageDescription($translate['seo_desc']); }
				$ctype = array_merge($ctype, $translate);
							
			}

		}
		# переводим категории в хлебных крошках
		if(isset($item['path']))
		foreach($item['path'] as $key=>$val){
			$cat_title = $this->model->getCatTitle($ctype['name'], $key, $user_lang);	
			if($cat_title) $item['path'][$key]['title'] = $cat_title;					
		}
		
        return array($ctype, $item);

    }

}
