<?php  

class onLanguagesActivityBeforeList extends cmsAction { 

    public function run($items){	
//echo '<pre>';print_r($items);
		$lang = cmsCore::getLanguageName();
		
		if ($lang !== $this->cms_config->language) {
			
			$model = cmsCore::getModel('content');
			

			foreach($items as $key=>$item){
				
				$act = $model->filterEqual('item_id', $item['type_id'])->filterEqual('lang', $lang)->filterEqual('ctype', 'description')->getFieldFiltered('languages_activity', 'title');
				
				if($act){

					if($item['subject_url']){				
						$ct = explode('/', $item['subject_url']);
						$slug = str_replace('.html', '', $ct[3]);
						$ctype_all = $model->getContentTypeByName($ct[2]);
						$original = $model->getContentItemBySLUG($ctype_all['name'], $slug);
						$translate = $this->model->filterEqual('item_id', $item['subject_id'])->filterEqual('lang', $lang)->getItem('languages_con_' . $ctype_all['name']);
		
						if($translate) {
							$items[$key]['description'] = str_replace('%s', '<a href="'.$item['subject_url'].'">'.$translate['title'].'</a>', $act);
						} else {
							$items[$key]['description'] = str_replace('%s', '<a href="'.$item['subject_url'].'">'.$original['title'].'</a>', $act);	
						}
					
					} else {		
						if($item['subject_title'] == '') $items[$key]['description'] = $act;
					}
	
				}
 
			}
		}
		

        return $items;

    }

}








	
















