<?php

class onLanguagesCtypeFieldAfterUpdate extends cmsAction {

    public function run($data){

        list($field, $ctype_name, $model) = $data;
		$options = $this->getOptions();
		$translate_fields = explode(', ', $options['translate_fields']);
		
		$is_exists = $model->db->query("SELECT id FROM {#}languages_con_" . $ctype_name, false, true);
		
		if ($is_exists && in_array($field['type'], $translate_fields)) {

				if(!$model->db->isFieldExists('languages_con_' . $ctype_name, $field['name'])){

					if($field['type'] == 'html' || $field['type'] == 'text'){
						$attr = 'text NULL DEFAULT NULL';
					} else {
						$attr = 'VARCHAR(255) NULL DEFAULT NULL';
					}

					$query = "ALTER TABLE `{#}languages_con_{$ctype_name}` ADD `{$field['name']}` {$attr};";
					$model->db->query($query);

				}

		}

        return array($field, $ctype_name, $model);

    }

}
